Loading...
Searching...
No Matches
solver_abstract_rep< T, M >

## Detailed Description

template<class T, class M>
class rheolef::solver_abstract_rep< T, M >

Definition at line 191 of file solver.h.

Inheritance diagram for solver_abstract_rep< T, M >:

## Classes

struct | determinant_type

## Public Types

typedef csr< T, M >::size_type | size_type

## Public Member Functions

| solver_abstract_rep (const solver_option &opt)
| solver_abstract_rep (const solver_abstract_rep &x)
const solver_option & | option () const
virtual solver_abstract_rep< T, M > * | clone () const
virtual bool | initialized () const
virtual | ~solver_abstract_rep ()
virtual void | update_values (const csr< T, M > &a)
virtual vec< T, M > | solve (const vec< T, M > &b) const
virtual vec< T, M > | trans_solve (const vec< T, M > &b) const
virtual void | set_preconditioner (const solver_basic< T, M > &)
virtual determinant_type | det () const
virtual std::string | name () const

## Static Public Member Functions

static solver_abstract_rep< T, M > * | make_solver_ptr (const csr< T, M > &a, const solver_option &opt)

## Protected Attributes

solver_option | _opt

## Member Typedef Documentation

## size_type

template<class T , class M >

typedef csr<T,M>::size_type size_type

Definition at line 193 of file solver.h.

## Constructor & Destructor Documentation

## solver_abstract_rep() [1/2]

template<class T , class M >

solver_abstract_rep | ( | const solver_option & | opt | ) |

explicit

Definition at line 195 of file solver.h.

## solver_abstract_rep() [2/2]

template<class T , class M >

solver_abstract_rep | ( | const solver_abstract_rep< T, M > & | x | ) |

Definition at line 196 of file solver.h.

## ~solver_abstract_rep()

template<class T , class M >

virtual ~solver_abstract_rep | ( |  | ) |

virtual

Definition at line 200 of file solver.h.

## Member Function Documentation

## option()

template<class T , class M >

const solver_option & option | ( |  | ) | const

Definition at line 197 of file solver.h.

## clone()

template<class T , class M >

solver_abstract_rep< T, M > * clone | ( |  | ) | const

virtual

Reimplemented in solver_eye_rep< T, M >, solver_ilut_rep< T, M >, solver_mic_rep< T, M >, solver_cholmod_rep< T, M >, solver_eigen_rep< T, M >, solver_gmres_cg_rep< T, M >, solver_mumps_rep< T, M >, and solver_umfpack_rep< T, M >.

Definition at line 225 of file solver.h.

## initialized()

template<class T , class M >

virtual bool initialized | ( |  | ) | const

virtual

Reimplemented in solver_cholmod_rep< T, M >, solver_eigen_rep< T, M >, solver_gmres_cg_rep< T, M >, solver_mumps_rep< T, M >, and solver_umfpack_rep< T, M >.

Definition at line 199 of file solver.h.

## update_values()

template<class T , class M >

virtual void update_values | ( | const csr< T, M > & | a | ) |

virtual

Reimplemented in solver_eye_rep< T, M >, solver_ilut_rep< T, M >, solver_mic_rep< T, M >, solver_cholmod_rep< T, M >, solver_eigen_rep< T, M >, solver_gmres_cg_rep< T, M >, solver_mumps_rep< T, M >, and solver_umfpack_rep< T, M >.

Definition at line 201 of file solver.h.

## solve()

template<class T , class M >

vec< T, M > solve | ( | const vec< T, M > & | b | ) | const

virtual

Reimplemented in solver_ilut_rep< T, M >, solver_mic_rep< T, M >, solver_cholmod_rep< T, M >, solver_eigen_rep< T, M >, solver_gmres_cg_rep< T, M >, solver_mumps_rep< T, M >, solver_umfpack_rep< T, M >, and solver_eye_rep< T, M >.

Definition at line 233 of file solver.h.

## trans_solve()

template<class T , class M >

vec< T, M > trans_solve | ( | const vec< T, M > & | b | ) | const

virtual

Reimplemented in solver_ilut_rep< T, M >, solver_mic_rep< T, M >, solver_cholmod_rep< T, M >, solver_eigen_rep< T, M >, solver_gmres_cg_rep< T, M >, solver_mumps_rep< T, M >, solver_umfpack_rep< T, M >, and solver_eye_rep< T, M >.

Definition at line 240 of file solver.h.

## set_preconditioner()

template<class T , class M >

void set_preconditioner | ( | const solver_basic< T, M > & |  | ) |

virtual

Reimplemented in solver_gmres_cg_rep< T, M >.

Definition at line 247 of file solver.h.

## det()

template<class T , class M >

solver_abstract_rep< T, M >::determinant_type det | ( |  | ) | const

virtual

Reimplemented in solver_cholmod_rep< T, M >, solver_eigen_rep< T, M >, solver_gmres_cg_rep< T, M >, solver_mumps_rep< T, M >, and solver_umfpack_rep< T, M >.

Definition at line 254 of file solver.h.

## name()

template<class T , class M >

std::string name | ( |  | ) | const

virtual

Definition at line 40 of file solver.cc.

## make_solver_ptr()

template<class T , class M >

solver_abstract_rep< T, M > * make_solver_ptr | ( | const csr< T, M > & | a,
|  | const solver_option & | opt
| ) |  |

static

Definition at line 49 of file solver.cc.

## Member Data Documentation

## _opt

template<class T , class M >

solver_option _opt

mutable protected

Definition at line 211 of file solver.h.

The documentation for this class was generated from the following files:

- /build/rheolef-dTNbRN/rheolef-7.2/linalg/lib/solver.h
- /build/rheolef-dTNbRN/rheolef-7.2/linalg/lib/solver.cc